Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.idl.reflect
Class idlEnumeration

    java.lang.Object
      |
      +--org.openorb.compiler.idl.reflect.idlEnumeration

All Implemented Interfaces:
  java.util.Enumeration

public class idlEnumeration
extends java.lang.Object
implements java.util.Enumeration

This class implements an enumeration to provide all interface IDL object of an IDL object

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Constructor Summary
`idlEnumeration(java.util.Vector list)` Constructor

Method Summary
`boolean` | `hasMoreElements()` Return true if there is more elements
`java.lang.Object` | `nextElement()` Return the next element if any

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### idlEnumeration

    public idlEnumeration(java.util.Vector list)

  Constructor

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Return true if there is more elements
  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Return the next element if any
  Specified by:
    `nextElement` in interface `java.util.Enumeration`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD